Package ru.bitel.oss.kernel.entity.common.bean.dto

# Class EntitySpecDTO

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.dto.EntitySpecDTO

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class EntitySpecDTO
    extends IdTitle

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `EntitySpecDTO.Builder` |

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EntitySpecDTO()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static EntitySpecDTO.Builder` | `builder()` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getEntityTitleMacros()` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setEntityTitleMacros​(java.lang.String entityTitleMacros)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpecDTO

    public EntitySpecDTO()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### getEntityTitleMacros

    public java.lang.String getEntityTitleMacros()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setEntityTitleMacros

    public void setEntityTitleMacros​(java.lang.String entityTitleMacros)

  - ### builder

    public static EntitySpecDTO.Builder builder()